> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Profiles (/api-reference/public-profiles/search-profiles)

Full-text search for profiles with filters for pricing, free trials, location, media count and more.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/search
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/search:
    get:
      summary: Search Profiles
      operationId: searchProfiles
      description: Full-text search for profiles with filters for pricing, free
        trials, location, media count and more.
      parameters:
        - in: query
          name: query
          description: Query for full text search in username, display name, bio. Must be
            at least 3 characters.
          example: null
          required: false
          schema:
            type: string
            description: Query for full text search in username, display name, bio. Must be
              at least 3 characters.
            example: null
        - in: query
          name: min_subscribe_price
          description: Filter by minimum subscribe price. Must be at least 0.00.
          example: 0
          required: false
          schema:
            type: number
            description: Filter by minimum subscribe price. Must be at least 0.00.
            example: 0
        - in: query
          name: max_subscribe_price
          description: Filter by maximum subscribe price. Must be at least 0.00.
          example: 200
          required: false
          schema:
            type: number
            description: Filter by maximum subscribe price. Must be at least 0.00.
            example: 200
        - in: query
          name: location
          description: Filter by location.
          example: null
          required: false
          schema:
            type: string
            description: Filter by location.
            example: null
        - in: query
          name: website
          description: Filter by website.
          example: null
          required: false
          schema:
            type: string
            description: Filter by website.
            example: null
        - in: query
          name: instagram
          description: Filter by Instagram username.
          example: null
          required: false
          schema:
            type: string
            description: Filter by Instagram username.
            example: null
        - in: query
          name: tiktok
          description: Filter by TikTok username.
          example: null
          required: false
          schema:
            type: string
            description: Filter by TikTok username.
            example: null
        - in: query
          name: limit
          description: "The number of profiles to return. For each returned profile we
            charge your account 1 credit. Default: `10`. Must be at least 1.
            Must not be greater than 100."
          example: 10
          required: false
          schema:
            type: integer
            description: "The number of profiles to return. For each returned profile we
              charge your account 1 credit. Default: `10`. Must be at least 1.
              Must not be greater than 100."
            example: 10
        - in: query
          name: cursor
          description: Cursor for pagination. Use the `next_cursor` from the previous
            response to get the next page of results.
          example: null
          required: false
          schema:
            type: string
            description: Cursor for pagination. Use the `next_cursor` from the previous
              response to get the next page of results.
            example: null
            nullable: true
        - in: query
          name: sort
          description: Field to sort by. ⭐️ Only available on the Pro and Enterprise plan.
          example: null
          required: false
          schema:
            type: string
            description: Field to sort by. ⭐️ Only available on the Pro and Enterprise plan.
            example: null
            enum:
              - likes
              - photos
              - videos
              - subscribers
              - subscribe_price
              - min_subscribe_price
              - join_date
              - last_seen
        - in: query
          name: sortDirection
          description: Direction for sorting. `desc` - highest value first. `asc` - lowest
            value first.
          example: null
          required: false
          schema:
            type: string
            description: Direction for sorting. `desc` - highest value first. `asc` - lowest
              value first.
            example: null
            enum:
              - desc
              - asc
        - in: query
          name: filter
          description: ""
          example: []
          required: false
          schema:
            type: object
            description: ""
            example: []
            properties: {}
        - in: query
          name: filter.gender
          description: "Filter by gender (available: `female`, `male`, `trans`,
            `trans_ftm` (Female-to-Male), `trans_mft` (Male-to-Female),
            `couple`). ⭐️ Only available on the Pro and Enterprise plan."
          example: null
          required: false
          schema:
            type: string
            description: "Filter by gender (available: `female`, `male`, `trans`,
              `trans_ftm` (Female-to-Male), `trans_mft` (Male-to-Female),
              `couple`). ⭐️ Only available on the Pro and Enterprise plan."
            example: null
            enum:
              - female
              - male
              - trans
              - trans_ftm
              - trans_mtf
              - couple
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - ofapi_gender: female
                      ofapi_gender_confidence: 0.98
                      onlyfans_id: 5140520
                      stats_updated_at: 2025-12-15T21:00:42.000000Z
                      username: madison420ivy
                      name: Madison Ivy
                      avatar_url: https://public.onlyfans.com/files/v/v3/v30/v302xscgzgb1qijezrvsotwo4dxn00pe1760573833/5140520/avatar.jpg
                      header_url: https://public.onlyfans.com/files/i/iz/izt/iztyiyvqu9mg54vccnxjjivnkz2cyivm1617484103/header.jpg
                      subscribe_price: 0
                      min_subscribe_price: 0
                      posts_count: 157
                      photos_count: 530
                      videos_count: 207
                      audios_count: 0
                      favorites_count: 16
                      favorited_count: 570621
                      subscribers_count: null
                      is_verified: true
                      website: Www.fleshlight.com/Madisonivy
                      location: CannaBliss
                      wishlist: null
                      about: <p>My wish in life is to be your personal lil fuck toy. WELCOME to my
                        naughty corner of the world. <br /> I hope you’ll love
                        my extremely up-close and personal POVs. I want to give
                        you a true feeling of being with me. <br /> Let me tease
                        you and please you.<br /> Command me, Master. For I am
                        your little pet. <br /> And I am waiting… 😈💦<br /><br
                        /> I absolutely love suggestions, so please feel free to
                        send me a DM with ideas! I always try to include as much
                        as possibles 💋<br /> 🚨Also about my page
                        👇👇👇👇👇👇👇👇<br /><br />
                        ...............................................................................................<br
                        /> 💖 Custom Video Contest is returning soon!!!<br />
                        (Watch page for details)<br /> 💙Tipping is NEVER
                        required. <br /> (But because my page is free, I’m
                        starting to only respond to messages with tips. I’m very
                        sorry about this, but for the past 5 years I’ve answered
                        every single message. And they’re just isn’t enough time
                        in the day.)  <br /> Xoxo<br />     Ur little fuck
                        toy,<br />           </p>
                      last_seen_at: null
                      is_performer: true
                      is_real_performer: true
                      is_adult_content: false
                      bundles: null
                      instagram: null
                      twitter: null
                      tiktok: null
                      facebook: null
                      promotions: null
                      join_date: 2018-11-11T00:00:00.000000Z
                      fansly: null
                      pornhub: null
                      manyvids: null
                    - ofapi_gender: male
                      ofapi_gender_confidence: 0.95
                      onlyfans_id: 117183
                      stats_updated_at: 2025-12-15T21:59:51.000000Z
                      username: johnnysins
                      name: Johnny Sins
                      avatar_url: https://public.onlyfans.com/files/e/ex/exf/exflcllrevoeqnhfeccma55z5desn4ct1686490893/117183/avatar.jpg
                      header_url: null
                      subscribe_price: 0
                      min_subscribe_price: 0
                      posts_count: 9431
                      photos_count: 57499
                      videos_count: 14116
                      audios_count: 1
                      favorites_count: 72
                      favorited_count: 250727
                      subscribers_count: 202344
                      is_verified: true
                      website: https://Onlyfans.com/solojohnny
                      location: null
                      wishlist: null
                      about: <p>THE ONLY OFFICIAL JOHNNY SINS ONLYFANS<br /><br /> 🔥 NEW SUBSCRIBERS
                        GET A FREE VIDEO FOR JOINING!!!<br /> 🔥 NEW scenes 2x
                        per week!! </p>
                      last_seen_at: 2025-12-15T21:01:35.000000Z
                      is_performer: true
                      is_real_performer: true
                      is_adult_content: true
                      bundles: null
                      instagram: Mosttalentedbaldman
                      twitter: johnnysins
                      tiktok: Johnnysins
                      facebook: null
                      promotions: null
                      join_date: 2017-01-25T00:00:00.000000Z
                      fansly: null
                      pornhub: null
                      manyvids: null
                  _pagination:
                    total_results: 10000
                    next_cursor: WzEsIjEwIl0=
                    next_page_url: https://app.onlyfansapi.com/api/search?limit=50&cursor=WzEsIjEwIl0%3D
                  _meta:
                    _credits:
                      used: 1
                      balance: 115530
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 998
                      remaining_day: 49998
                properties:
                  data:
                    type: array
                    example:
                      - ofapi_gender: female
                        ofapi_gender_confidence: 0.98
                        onlyfans_id: 5140520
                        stats_updated_at: 2025-12-15T21:00:42.000000Z
                        username: madison420ivy
                        name: Madison Ivy
                        avatar_url: https://public.onlyfans.com/files/v/v3/v30/v302xscgzgb1qijezrvsotwo4dxn00pe1760573833/5140520/avatar.jpg
                        header_url: https://public.onlyfans.com/files/i/iz/izt/iztyiyvqu9mg54vccnxjjivnkz2cyivm1617484103/header.jpg
                        subscribe_price: 0
                        min_subscribe_price: 0
                        posts_count: 157
                        photos_count: 530
                        videos_count: 207
                        audios_count: 0
                        favorites_count: 16
                        favorited_count: 570621
                        subscribers_count: null
                        is_verified: true
                        website: Www.fleshlight.com/Madisonivy
                        location: CannaBliss
                        wishlist: null
                        about: <p>My wish in life is to be your personal lil fuck toy. WELCOME to my
                          naughty corner of the world. <br /> I hope you’ll love
                          my extremely up-close and personal POVs. I want to
                          give you a true feeling of being with me. <br /> Let
                          me tease you and please you.<br /> Command me, Master.
                          For I am your little pet. <br /> And I am waiting…
                          😈💦<br /><br /> I absolutely love suggestions, so
                          please feel free to send me a DM with ideas! I always
                          try to include as much as possibles 💋<br /> 🚨Also
                          about my page 👇👇👇👇👇👇👇👇<br /><br />
                          ...............................................................................................<br
                          /> 💖 Custom Video Contest is returning soon!!!<br />
                          (Watch page for details)<br /> 💙Tipping is NEVER
                          required. <br /> (But because my page is free, I’m
                          starting to only respond to messages with tips. I’m
                          very sorry about this, but for the past 5 years I’ve
                          answered every single message. And they’re just isn’t
                          enough time in the day.)  <br /> Xoxo<br />     Ur
                          little fuck toy,<br />           </p>
                        last_seen_at: null
                        is_performer: true
                        is_real_performer: true
                        is_adult_content: false
                        bundles: null
                        instagram: null
                        twitter: null
                        tiktok: null
                        facebook: null
                        promotions: null
                        join_date: 2018-11-11T00:00:00.000000Z
                        fansly: null
                        pornhub: null
                        manyvids: null
                      - ofapi_gender: male
                        ofapi_gender_confidence: 0.95
                        onlyfans_id: 117183
                        stats_updated_at: 2025-12-15T21:59:51.000000Z
                        username: johnnysins
                        name: Johnny Sins
                        avatar_url: https://public.onlyfans.com/files/e/ex/exf/exflcllrevoeqnhfeccma55z5desn4ct1686490893/117183/avatar.jpg
                        header_url: null
                        subscribe_price: 0
                        min_subscribe_price: 0
                        posts_count: 9431
                        photos_count: 57499
                        videos_count: 14116
                        audios_count: 1
                        favorites_count: 72
                        favorited_count: 250727
                        subscribers_count: 202344
                        is_verified: true
                        website: https://Onlyfans.com/solojohnny
                        location: null
                        wishlist: null
                        about: <p>THE ONLY OFFICIAL JOHNNY SINS ONLYFANS<br /><br /> 🔥 NEW SUBSCRIBERS
                          GET A FREE VIDEO FOR JOINING!!!<br /> 🔥 NEW scenes 2x
                          per week!! </p>
                        last_seen_at: 2025-12-15T21:01:35.000000Z
                        is_performer: true
                        is_real_performer: true
                        is_adult_content: true
                        bundles: null
                        instagram: Mosttalentedbaldman
                        twitter: johnnysins
                        tiktok: Johnnysins
                        facebook: null
                        promotions: null
                        join_date: 2017-01-25T00:00:00.000000Z
                        fansly: null
                        pornhub: null
                        manyvids: null
                    items:
                      type: object
                      properties:
                        ofapi_gender:
                          type: string
                          example: female
                        ofapi_gender_confidence:
                          type: number
                          example: 0.98
                        onlyfans_id:
                          type: integer
                          example: 5140520
                        stats_updated_at:
                          type: string
                          example: 2025-12-15T21:00:42.000000Z
                        username:
                          type: string
                          example: madison420ivy
                        name:
                          type: string
                          example: Madison Ivy
                        avatar_url:
                          type: string
                          example: https://public.onlyfans.com/files/v/v3/v30/v302xscgzgb1qijezrvsotwo4dxn00pe1760573833/5140520/avatar.jpg
                        header_url:
                          type: string
                          example: https://public.onlyfans.com/files/i/iz/izt/iztyiyvqu9mg54vccnxjjivnkz2cyivm1617484103/header.jpg
                        subscribe_price:
                          type: integer
                          example: 0
                        min_subscribe_price:
                          type: integer
                          example: 0
                        posts_count:
                          type: integer
                          example: 157
                        photos_count:
                          type: integer
                          example: 530
                        videos_count:
                          type: integer
                          example: 207
                        audios_count:
                          type: integer
                          example: 0
                        favorites_count:
                          type: integer
                          example: 16
                        favorited_count:
                          type: integer
                          example: 570621
                        subscribers_count:
                          type: string
                          example: null
                          nullable: true
                        is_verified:
                          type: boolean
                          example: true
                        website:
                          type: string
                          example: Www.fleshlight.com/Madisonivy
                        location:
                          type: string
                          example: CannaBliss
                        wishlist:
                          type: string
                          example: null
                          nullable: true
                        about:
                          type: string
                          example: <p>My wish in life is to be your personal lil fuck toy. WELCOME to my
                            naughty corner of the world. <br /> I hope you’ll
                            love my extremely up-close and personal POVs. I want
                            to give you a true feeling of being with me. <br />
                            Let me tease you and please you.<br /> Command me,
                            Master. For I am your little pet. <br /> And I am
                            waiting… 😈💦<br /><br /> I absolutely love
                            suggestions, so please feel free to send me a DM
                            with ideas! I always try to include as much as
                            possibles 💋<br /> 🚨Also about my page
                            👇👇👇👇👇👇👇👇<br /><br />
                            ...............................................................................................<br
                            /> 💖 Custom Video Contest is returning soon!!!<br
                            /> (Watch page for details)<br /> 💙Tipping is NEVER
                            required. <br /> (But because my page is free, I’m
                            starting to only respond to messages with tips. I’m
                            very sorry about this, but for the past 5 years I’ve
                            answered every single message. And they’re just
                            isn’t enough time in the day.)  <br /> Xoxo<br
                            />     Ur little fuck toy,<br />           </p>
                        last_seen_at:
                          type: string
                          example: null
                          nullable: true
                        is_performer:
                          type: boolean
                          example: true
                        is_real_performer:
                          type: boolean
                          example: true
                        is_adult_content:
                          type: boolean
                          example: false
                        bundles:
                          type: string
                          example: null
                          nullable: true
                        instagram:
                          type: string
                          example: null
                          nullable: true
                        twitter:
                          type: string
                          example: null
                          nullable: true
                        tiktok:
                          type: string
                          example: null
                          nullable: true
                        facebook:
                          type: string
                          example: null
                          nullable: true
                        promotions:
                          type: string
                          example: null
                          nullable: true
                        join_date:
                          type: string
                          example: 2018-11-11T00:00:00.000000Z
                        fansly:
                          type: string
                          example: null
                          nullable: true
                        pornhub:
                          type: string
                          example: null
                          nullable: true
                        manyvids:
                          type: string
                          example: null
                          nullable: true
                  _pagination:
                    type: object
                    properties:
                      total_results:
                        type: integer
                        example: 10000
                      next_cursor:
                        type: string
                        example: WzEsIjEwIl0=
                      next_page_url:
                        type: string
                        example: https://app.onlyfansapi.com/api/search?limit=50&cursor=WzEsIjEwIl0%3D
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 115530
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 998
                          remaining_day:
                            type: integer
                            example: 49998
      tags:
        - Public Profiles
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````